Bug 1692009 - Javascript error on accessing red hat subscription and repository page
Summary: Javascript error on accessing red hat subscription and repository page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1692447 1692683 (view as bug list)
Depends On:
Blocks: 1674548 1678763
TreeView+ depends on / blocked
 
Reported: 2019-03-23 09:40 UTC by Nikhil Kathole
Modified: 2019-10-07 17:37 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:41 UTC

Description Nikhil Kathole 2019-03-23 09:40:19 UTC
Description of problem:

Unable to access Red Hat Subscription and Red Hat Repositories page on Satellite 6.5.0 Snap 21.0


bootstrap f61a8150e5583d652cb8:54 Uncaught TypeError: Cannot read property 'call' of undefined
    at a (bootstrap f61a8150e5583d652cb8:54)
    at Object.node_modules/history/esm/history.js (katello-b95a87a44c9812746a27.js:25)
    at a (bootstrap f61a8150e5583d652cb8:54)
    at Object.node_modules/react-router-dom/es/index.js (katello-b95a87a44c9812746a27.js:29)
    at a (bootstrap f61a8150e5583d652cb8:54)
    at Object.../../../../../BUILDROOT/tfm-rubygem-katello-3.10.0.33-2.el7sat.noarch/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.33/webpack/containers/Application/index.js (katello-b95a87a44c9812746a27.js:1)
    at a (bootstrap f61a8150e5583d652cb8:54)
    at Object.../../../../../BUILDROOT/tfm-rubygem-katello-3.10.0.33-2.el7sat.noarch/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.33/webpack/index.js (katello-b95a87a44c9812746a27.js:1)
    at a (bootstrap f61a8150e5583d652cb8:54)
    at window.webpackJsonp (bootstrap f61a8150e5583d652cb8:25)
a @ bootstrap f61a8150e5583d652cb8:54
node_modules/history/esm/history.js @ katello-b95a87a44c9812746a27.js:25
a @ bootstrap f61a8150e5583d652cb8:54
node_modules/react-router-dom/es/index.js @ katello-b95a87a44c9812746a27.js:29
a @ bootstrap f61a8150e5583d652cb8:54
../../../../../BUILDROOT/tfm-rubygem-katello-3.10.0.33-2.el7sat.noarch/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.33/webpack/containers/Application/index.js @ katello-b95a87a44c9812746a27.js:1
a @ bootstrap f61a8150e5583d652cb8:54
../../../../../BUILDROOT/tfm-rubygem-katello-3.10.0.33-2.el7sat.noarch/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.33/webpack/index.js @ katello-b95a87a44c9812746a27.js:1
a @ bootstrap f61a8150e5583d652cb8:54
window.webpackJsonp @ bootstrap f61a8150e5583d652cb8:25
(anonymous) @ katello-b95a87a44c9812746a27.js:1
componentRegistry.js:50

 Uncaught Error: Component not found:  katello among SearchBar, DonutChart, StatisticsChartsList, PowerStatus, NotificationContainer, ToastNotifications, StorageContainer, PasswordStrength, BreadcrumbBar, FactChart, Pagination, AuditsList, Layout
    at Object.markup (componentRegistry.js:50)
    at Object.t.mount (MountingService.js:30)
    at subscriptions:179
markup @ componentRegistry.js:50
t.mount @ MountingService.js:30
(anonymous) @ subscriptions:179

Version-Release number of selected component (if applicable):
Satellite 6.5 snap 21


How reproducible: always


Steps to Reproduce:
1. Navigate to Red Hat Subscriptions/ Red Hat Repositories page


Actual results:

Blank page and console error.


Expected results:
Page should load Successfully.



Additional info:
Regression. Working with snap 20.

Comment 4 Nikhil Kathole 2019-03-23 09:49:27 UTC
Same console error for content -> module streams page 

Uncaught Error: Component not found:  katello among SearchBar, DonutChart, StatisticsChartsList, PowerStatus, NotificationContainer, ToastNotifications, StorageContainer, PasswordStrength, BreadcrumbBar, FactChart, Pagination, AuditsList, Layout

Comment 5 Jan Hutař 2019-03-25 09:34:34 UTC
There is also:

    TypeError: e[t] is undefined[Learn More] bootstrap f61a8150e5583d652cb8:54

Comment 7 Brad Buckingham 2019-03-25 20:58:07 UTC
*** Bug 1692447 has been marked as a duplicate of this bug. ***

Comment 9 Evgeni Golov 2019-03-26 08:01:21 UTC
This is interesting, as this implies that Katello was built against a "wrong" Foreman webpack vendor.js, but the Provides/Requires in the RPM are fine.

Comment 10 Nikhil Kathole 2019-03-26 08:52:55 UTC
*** Bug 1692683 has been marked as a duplicate of this bug. ***

Comment 11 Evgeni Golov 2019-03-26 10:03:42 UTC
FWIW, I tried a plain rebuild of Katello against the current Foreman, and it did not help the situation.

Comment 12 Evgeni Golov 2019-03-26 10:46:04 UTC
Building Katello 3.10.0.29 (last snap) against current Foreman makes the page work fine.

Comment 15 Walden Raines 2019-03-27 17:00:32 UTC
Fixed by using a package.json lock file for node modules from snap 29.  Moving to MODIFIED.

Comment 16 Nikhil Kathole 2019-04-01 05:45:31 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 22

Red hat subscription, repository page and module streams page load successfully.

Comment 19 errata-xmlrpc 2019-05-14 12:40:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.